Subject: Aclu of pa question

From: "Sara Mullen" <[email-masked]>
Date: Wed, 21 Sep 2005 17:55:05 -0400

Hi! I'm with the ACLU of PA. We're about to start trial in our case
against the Dover School District for teaching "intelligent design"
alongside evolution in science class. I'm trying to put together a
website page on this. I'm looking for some interesting graphics. Do you
happen to know where I can find a copy of the ape-to-man evolution
drawing? Or any other graphics that might be interesting?

Thanks!

Sara Mullen
Associate Director
ACLU of Pennsylvania
PO Box 40008
Philadelphia, PA  19106
215-592-1513 x122
215-592-1343 fax
[email-masked]